# $Revision: 1.66 $, $Date: 2010/02/06 21:15:35 $
Summary:	Improved SANE frontend
Summary(pl.UTF-8):	Ulepszony frontend do SANE
Summary(zh_CN.UTF-8):	xsane - 一个图形扫描程序
Name:		xsane
Version:	0.997
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
#Source0Download:	http://www.xsane.org/cgi-bin/sitexplorer.cgi?/download/
Source0:	http://www.xsane.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	8377b3e3b792f3d2b7f13895467c7082
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-poMakefile.patch
URL:		http://www.xsane.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gimp-devel >= 1:2.0.0
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	sane-backends-devel >= 1.0.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gimpplugindir	%(gimptool --gimpplugindir 2>/dev/null)/plug-ins

%description
XSane is a graphical scanning frontend. It uses the SANE library to
talk to scanner.

%description -l pl.UTF-8
XSane jest graficznym frontendem do skanowania. Używa biblioteki SANE
do komunikacji ze skanerem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv -f po/{zh,zh_TW}.po

%{__sed} -i -e 's/ zh/ zh_TW/' configure.in

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_gimpplugindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_bindir}/xsane $RPM_BUILD_ROOT%{_gimpplugindir}/xsane

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ICM.TODO xsane.{ACCELKEYS,AUTHOR,BUGS,CHANGES,LOGO,NEWS,ONLINEHELP,PROBLEMS,ROOT,TODO}
%attr(755,root,root) %{_bindir}/xsane
%attr(755,root,root) %{_gimpplugindir}/xsane
%{_datadir}/xsane
%{_mandir}/man1/xsane.1*
%{_desktopdir}/xsane.desktop
%{_pixmapsdir}/xsane.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xsane.spec,v $
Revision 1.66  2010/02/06 21:15:35  arekm
- release 2

Revision 1.65  2010/02/06 15:13:22  sparky
- BR: pkgconfig
- don't complain about gimptool missing

Revision 1.64  2010/02/06 15:03:49  sls
- rel. 1

Revision 1.63  2010/02/06 14:55:30  sls
- ver. 0.997 (NFY)

Revision 1.62  2009/07/10 19:53:39  arekm
- release 2

Revision 1.61  2007/12/06 21:22:27  qboosh
- updated to 0.995
- updated pl.po-update patch
- dropped gtk1 bcond

Revision 1.60  2007-10-30 19:37:25  shadzik
- add patch2
- builds

Revision 1.59  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.58  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.57  2006/07/21 17:22:15  qboosh
- updated pl.po-update patch, dropped obsolete Makevars hack
- removed usage of obsolete (and already removed) DESTDIR patch

Revision 1.56  2006/07/17 22:17:29  aredridel
- 0.991

Revision 1.55  2005/12/26 23:11:22  qboosh
- updated to 0.98b, updated datadir patch, added pl.po-update patch

Revision 1.54  2005/05/02 23:01:17  qboosh
- updated to 0.97

Revision 1.53  2004/11/27 18:52:10  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.52  2004/11/03 10:37:58  paladine
- rel 2 for fixed desktop file
- spaces->tabs

Revision 1.51  2004/10/23 14:55:52  jpc
- up to 0.96
- removed outdated patches (po,gimp1.3) updated xsane-datadir.patch
- updated bcond (configure --disable-gimp2/gtk2 is available now)

Revision 1.50  2004/04/25 15:10:13  qboosh
- updated gimp1.3 patch, added datadir patch, switched to vfolders; release 7

Revision 1.49  2004/03/28 12:59:31  arekm
- rebuild with new gimp

Revision 1.48  2004/03/14 16:05:35  adamg
- release 5 to rebuild with new gimp

Revision 1.47  2004/02/01 10:52:11  qboosh
- standardize locale dir names (sr->sr@Latn, zh->zh_TW)
- new-style bcond, release 4

Revision 1.46  2004/01/26 00:16:03  undefine
- release 3 to rebuild with gimp 2.0

Revision 1.45  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.44  2003/11/24 21:21:56  speedy
- release 2

Revision 1.43  2003/10/08 10:32:54  qboosh
- updated to 0.92, added po patch
- added epoch to gimp BR

Revision 1.42  2003/08/01 21:18:42  qboosh
- updates for gimp 1.3.17+, release 3

Revision 1.41  2003/06/19 15:38:21  qboosh
- updated gimp1.3 patch to work with 1.3.15

Revision 1.40  2003/06/11 10:36:50  wiget
- rebuild with gimp 1.3.15

Revision 1.39  2003/05/28 13:03:13  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:28:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/05/12 22:19:57  qboosh
- updated to 0.91

Revision 1.36  2003/05/12 16:45:31  qboosh
- restore CPPFLAGS (just saving doesn't make much sense ;))

Revision 1.35  2003/05/12 08:35:38  qboosh
- download URL

Revision 1.34  2003/05/11 21:18:59  qboosh
- release 2: patched+hacked for gimp 1.3 support; force gtk+2 by default

Revision 1.33  2003/01/27 08:43:10  qboosh
- finished removing of libpng 1.2.2 hack

Revision 1.32  2003/01/26 13:45:05  kloczek
- updated to 0.90,
- removed hack for libpng 1.2 from %build (not neccessary now).

Revision 1.31  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.30  2002/09/17 12:35:41  kloczek
- updated to 0.88: bug fixes.

Revision 1.29  2002/07/24 23:02:20  kloczek
- updated to 0.87.

Revision 1.28  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/05/01 07:40:37  kloczek
- updated to 0.86 (bugfix release).

Revision 1.26  2002/04/27 22:32:09  qboosh
- libpng 1.2.2 support

Revision 1.25  2002/04/25 06:16:45  kloczek
- updated to 0.85.

Revision 1.24  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.23  2002/03/22 21:22:04  kloczek
- bump release to 2.

Revision 1.22  2002/03/12 20:55:36  mkochano
- Updated to 0.84.
- Release 1.

Revision 1.21  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/10/11 14:47:26  qboosh
- BuildRequires: autoconf; improved pl summary ;)

Revision 1.18  2001/08/11 18:52:59  kloczek
- updated to 0.79.

Revision 1.17  2001/06/28 17:08:37  kloczek
- other typo :>

Revision 1.16  2001/06/28 16:59:13  kloczek
- typo in %build.

Revision 1.15  2001/06/28 16:46:53  kloczek
- typo in %files.

Revision 1.14  2001/06/28 16:17:55  kloczek
- updated to 0.78,
- added desktop file for xsane,
- smarter handling gimp plugin path.

Revision 1.13  2001/06/01 16:12:27  qboosh
- updated to 0.77

Revision 1.12  2001/04/06 15:56:31  jajcus
- Version: 0.75

Revision 1.11  2001/03/07 19:04:32  qboosh
- fixed gimp_ver problem
- missing dir %%{_datadir}/sane, fixed perms (were 755 on text or gfx files)

Revision 1.10  2001/03/03 19:41:32  qboosh
- 0.72, updated DESTDIR patch
- BuildRequires: libpng-devel, libtiff-devel

Revision 1.9  2001/02/09 16:45:57  zagrodzki
- initial release
